<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginDayZInfectedDebug.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d3f/_plugin_day_z_infected_debug_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PluginDayZInfectedDebug.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:df/df4/class_scripted_widget_event_handler"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></td></tr>
<tr class="memdesc:df/df4/class_scripted_widget_event_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">map: item x <a class="el" href="../../d7/dfc/classvector.html">vector(index, width, height)</a>  <a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">More...</a><br /></td></tr>
<tr class="separator:df/df4/class_scripted_widget_event_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/da1/class_plugin_base.html">PluginBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae119a87191ead9d5c6ac2af2d14c4358"><td class="memItemLeft" align="right" valign="top">class PluginDayZInfectedDebugUIHandler extends <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#ae119a87191ead9d5c6ac2af2d14c4358">PluginDayZInfectedDebugAttackDesc</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pName, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pValue)</td></tr>
<tr class="separator:ae119a87191ead9d5c6ac2af2d14c4358"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a769af93cbb13ac262b55be7977c93"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#ab3a769af93cbb13ac262b55be7977c93">OnClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="memdesc:ab3a769af93cbb13ac262b55be7977c93"><td class="mdescLeft">&#160;</td><td class="mdescRight">buttons clicks  <a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#ab3a769af93cbb13ac262b55be7977c93">More...</a><br /></td></tr>
<tr class="separator:ab3a769af93cbb13ac262b55be7977c93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d253069a96a3948af8475bf12b3aee"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#ae6d253069a96a3948af8475bf12b3aee">OnChange</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d9/db9/classbool.html">bool</a> finished)</td></tr>
<tr class="separator:ae6d253069a96a3948af8475bf12b3aee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af33072e66aeb38f9e8c0fcde5622fa64"><td class="memItemLeft" align="right" valign="top">PluginDayZInfectedDebug&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#af33072e66aeb38f9e8c0fcde5622fa64">m_pPluginInfectedDebug</a></td></tr>
<tr class="separator:af33072e66aeb38f9e8c0fcde5622fa64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ccf841cb59e451791bcb2e1ac4f1edc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></td></tr>
<tr class="separator:a8ccf841cb59e451791bcb2e1ac4f1edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9217cfffec952907d0d3454841d0fa25"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a9217cfffec952907d0d3454841d0fa25">animValue</a></td></tr>
<tr class="separator:a9217cfffec952907d0d3454841d0fa25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae6d253069a96a3948af8475bf12b3aee" name="ae6d253069a96a3948af8475bf12b3aee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6d253069a96a3948af8475bf12b3aee">&#9670;&#160;</a></span>OnChange()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OnChange </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>finished</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00033">33</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
<a id="ab3a769af93cbb13ac262b55be7977c93" name="ab3a769af93cbb13ac262b55be7977c93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3a769af93cbb13ac262b55be7977c93">&#9670;&#160;</a></span>OnClick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OnClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>buttons clicks </p>
<p >send rcp</p>

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00027">27</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
<a id="ae119a87191ead9d5c6ac2af2d14c4358" name="ae119a87191ead9d5c6ac2af2d14c4358"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae119a87191ead9d5c6ac2af2d14c4358">&#9670;&#160;</a></span>PluginDayZInfectedDebugAttackDesc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class PluginDayZInfectedDebugUIHandler extends <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> PluginDayZInfectedDebugAttackDesc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a9217cfffec952907d0d3454841d0fa25" name="a9217cfffec952907d0d3454841d0fa25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9217cfffec952907d0d3454841d0fa25">&#9670;&#160;</a></span>animValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> animValue</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00033">33</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
<a id="af33072e66aeb38f9e8c0fcde5622fa64" name="af33072e66aeb38f9e8c0fcde5622fa64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af33072e66aeb38f9e8c0fcde5622fa64">&#9670;&#160;</a></span>m_pPluginInfectedDebug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PluginDayZInfectedDebug m_pPluginInfectedDebug</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00039">39</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
<a id="a8ccf841cb59e451791bcb2e1ac4f1edc" name="a8ccf841cb59e451791bcb2e1ac4f1edc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ccf841cb59e451791bcb2e1ac4f1edc">&#9670;&#160;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">32</a> of file <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html">PluginDayZInfectedDebug.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html">PluginDayZInfectedDebug.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
